5.2.0-git
04/21/2014

[#1040] Add support to fetch GPG keys by fingerprint/id
Summary Add support to fetch GPG keys by fingerprint/id
Queue IMP
Queue Version Git master
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester enrico.scholz (at) informatik (dot) tu-chemnitz (dot) de
Created 12/30/2004 (3399 days ago)
Due
Updated 11/13/2013 (159 days ago)
Assigned 12/31/2004 (3398 days ago)
Resolved 11/13/2013 (159 days ago)
Milestone IMP 5.0
Patch No

History
11/13/2013 04:24:59 AM Michael Slusarz Comment #6
State ⇒ Rejected
Version ⇒ Git master
Reply to this comment
Rejecting.  This is already done automatically if needed.  No need to 
store local copy of key if it exists on a keyserver.
11/09/2008 10:05:05 AM Jan Schneider Summary ⇒ Add support to fetch GPG keys by fingerprint/id
 
11/09/2008 02:40:43 AM Chuck Hagenbuch State ⇒ Accepted
 
07/30/2007 01:53:06 AM Chuck Hagenbuch Comment #5
State ⇒ Stalled
Reply to this comment
Culling this from the list for IMP 4.2
10/25/2005 09:35:21 PM Chuck Hagenbuch State ⇒ Accepted
 
10/21/2005 08:38:34 PM Jan Schneider Comment #4 Reply to this comment
Is the idea to add a button in Turba to fetch a PGP key from the
keyservers when editting a contact or something else?
That would be the obvious place but might be troublesome to implement 
with the abstract and dynamic nature of Turba.
09/26/2005 10:28:29 AM Matt Selsky Comment #3 Reply to this comment
Is the idea to add a button in Turba to fetch a PGP key from the 
keyservers when editting a contact or something else?
12/31/2004 07:12:30 PM Michael Slusarz Comment #2
State ⇒ Assigned
Reply to this comment
For your first request, a patch would be great.



Your second request is bogus.  There is absolutely nothing (e.g. RFCs) 
that says that a PGP program MUST use a keyserver to download/get 
keys.  Therefore, if we are going to store any keys locally, it must 
be the full key text.
12/30/2004 04:42:37 PM enrico (dot) scholz (at) informatik (dot) tu-chemnitz (dot) de Comment #1
State ⇒ New
Priority ⇒ 1. Low
Type ⇒ Enhancement
Summary ⇒ RFE: add support to fetch GPG keys by fingerprint/id
Queue ⇒ IMP
Reply to this comment
Please add a way to import GPG keys by giving their fingerprint or ID 
only (it works already when verifying signatures). Currently, the key 
has to be extracted manually and entered completely.



It would be nice also, when not the GPG key itself but only the 
identifying fingerprint would be stored in the database.